Bug 184037 - xend wont start without /dev/kmem
xend wont start without /dev/kmem
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rik van Riel
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2006-03-05 04:32 EST by Yanko Kaneti
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-08 13:17:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yanko Kaneti 2006-03-05 04:32:44 EST
Thats directly after boot of todays (March 4th's) rawhide on a two processor P3
system. The xend service appeared to succesfully start. The xend-debug.log says
Exception starting xend: (111, 'Connection refused'). xend appears to be running
but has not opened any listening sockets as far as I can tell/

# rpm -q xen kernel-xen-hypervisor
xen-3.0.1-0.20060301.fc5.3
kernel-xen-hypervisor-2.6.15-1.2009.4.2_FC5
# uname -r
2.6.15-1.2009.4.2_FC5hypervisor
# ls /dev/kmem -l
ls: /dev/kmem: No such file or directory
# xm list
Error: Error connecting to xend: Connection refused.  Is xend running?
# mknod /dev/kmem c 1 2
# service xend restart
# xm list
Name                              ID Mem(MiB) VCPUs State  Time(s)
Domain-0                           0      701     2 r-----   640.6


Now I after this I tried a xenguest-install but had some trouble with the
bridging. I wonder if that initial failure is not a symptom of a larger problem
that would prevent more things xen not to work.
Comment 1 Jeremy Katz 2006-03-06 11:33:55 EST
There are changes upstream to nuke the dep on /dev/kmem -- we're planning to
pull this in
Comment 2 Yanko Kaneti 2006-03-08 13:09:04 EST
Looks fixed to me

2.6.15-1.2032_FC5xen0
xen-3.0.1-3

Note You need to log in before you can comment on or make changes to this bug.